std::conditional< _Cond, _Iftrue, _Iffalse >(3)

NAME
std::conditional< _Cond, _Iftrue, _Iffalse > - Define a member typedef type to one of two argument types.

SYNOPSIS

#include <type_traits>

  Public Types
using type

Detailed Description

  template<bool _Cond, typename _Iftrue, typename _Iffalse>
struct std::conditional< _Cond, _Iftrue, _Iffalse >"Define a member typedef type to one of two argument types.

Author

Generated automatically by Doxygen for libstdc++ from the source code.